Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.datatransfer
Class PasteType

    java.lang.Object
      org.openide.util.datatransfer.PasteType

All Implemented Interfaces:
  HelpCtx.Provider

    public abstract class PasteType

extends Object
implements HelpCtx.Provider

Clipboard operation providing one kind of paste action. Used by Node.getPasteTypes.

Constructor Summary
`PasteType()`

Method Summary
`HelpCtx` | `getHelpCtx()` Help content for the action.
`String` | `getName()` Display name for the paste action.
`abstract Transferable` | `paste()` Perform the paste action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasteType

    public PasteType()

Method Detail

### getName

    public String getName()

  Display name for the paste action. This should be presented as an item in a menu.

  Returns:
    the name of the action

### getHelpCtx

    public HelpCtx getHelpCtx()

  Help content for the action.

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Returns:
    the help context

### paste

    public abstract Transferable paste()
                                throws IOException

  Perform the paste action.

  Returns:
    transferable which should be inserted into the clipboard after the paste action. It can be `null`, meaning that the clipboard content is not affected. Use e.g. `ExTransferable.EMPTY` to clear it.
  Throws:
    `IOException` - if something fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.